# Method: apps.create

- [HTTP request](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps/create#body.HTTP_TEMPLATE)
- [Request body](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps/create#body.request_body)
- [Response body](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps/create#body.response_body)
- [Authorization Scopes](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps/create#try-it)

Creates an App Engine application for a Google Cloud Platform project. Required fields:

- `id` - The ID of the target Cloud Platform project.
- *location* - The [region](https://cloud.google.com/appengine/docs/locations) where you want the App Engine application located.

For more information about App Engine applications, see [Managing Projects, Applications, and Billing](https://cloud.google.com/appengine/docs/standard/python/console/).

### HTTP request

`POST https://appengine.googleapis.com/v1beta/apps`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains an instance of `https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps#Application`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).